=== debian/changelog ===
rapmap (0.4.0+dfsg-2) unstable; urgency=medium

  * Set NO_NATIVE_ARCH=true
    Closes: #847084
  * Do not try downloading libjemalloc
    Closes: #847083
  * debhelper 10
  * d/watch: version=4
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 16:32:20 +0100

rapmap (0.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Prefer dynamic to static libraries

 -- Andreas Tille <tille@debian.org>  Mon, 17 Oct 2016 16:06:53 +0200

rapmap (0.3.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #836914)

 -- Andreas Tille <tille@debian.org>  Wed, 07 Sep 2016 10:03:37 +0200
