=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DJELLYFISH_ROOT=/usr -DNO_NATIVE_ARCH=true

override_dh_auto_build:
	dh_auto_build
	markdown_py -f README.html README.md
