=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 ${GAT_SOURCE_DIR}/external
 ${GAT_SOURCE_DIR}/external/cereal/include
 ${GAT_SOURCE_DIR}/external/install/include
-${GAT_SOURCE_DIR}/external/install/include/jellyfish-2.2.5
+${GAT_SOURCE_DIR}/external/install/include/jellyfish-2.2.6
 ${ZLIB_INCLUDE_DIR}
 ${CEREAL_INCLUDE_DIRS}
 )
@@ -41,7 +41,7 @@
 if (JELLYFISH_FOUND)
     include_directories(${JELLYFISH_INCLUDE_DIR})
 else()
-    include_directories(${GAT_SOURCE_DIR}/external/install/include/jellyfish-2.2.5)
+    include_directories(${GAT_SOURCE_DIR}/external/install/include/jellyfish-2.2.6)
 endif()
 
 link_directories(
@@ -82,15 +82,16 @@
 
 # Link the executable
 target_link_libraries(rapmap
-    ${PTHREAD_LIB}
+    # ${PTHREAD_LIB}
     ${ZLIB_LIBRARY}
     ${SUFFARRAY_LIB}
     ${SUFFARRAY64_LIB}
     ${GAT_SOURCE_DIR}/external/install/lib/libjellyfish-2.0.a
     m
-    ${LIBLZMA_LIBRARIES}
+    #${LIBLZMA_LIBRARIES}
     ${NON_APPLECLANG_LIBS}
     ${FAST_MALLOC_LIB}
+    ${CMAKE_THREAD_LIBS_INIT}
 )
 
 
@@ -130,4 +131,5 @@
     #)
     #
     #include(InstallRequiredSystemLibraries)
-    #add_test( NAME salmon_read_test COMMAND ${CMAKE_COMMAND} -DTOPLEVEL_DIR=${GAT_SOURCE_DIR} -P ${GAT_SOURCE_DIR}/cmake/TestSalmon.cmake )
+    add_test( NAME quasi_map_test COMMAND ${CMAKE_COMMAND} -DTOPLEVEL_DIR=${GAT_SOURCE_DIR} -P ${GAT_SOURCE_DIR}/cmake/TestQuasiMap.cmake )
+    add_test( NAME quasi_map_test_ph COMMAND ${CMAKE_COMMAND} -DTOPLEVEL_DIR=${GAT_SOURCE_DIR} -P ${GAT_SOURCE_DIR}/cmake/TestQuasiMapPerfectHash.cmake )
