=== debian/changelog ===
rapmap (0.5.0+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Add binary package containing example data
  * debhelper 11
  * Standards-Version: 4.1.3

  [ Katerina Kalou ]
  * Provide autopkgtest
    Closes: #879616

 -- Katerina Kalou <aik.kalou@gmail.com>  Fri, 12 Jan 2018 18:55:20 +0100

rapmap (0.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/p/libspdlog: Correct instanziation of ansicolor sink, Closes: #884218

 -- Gert Wollny <gewo@debian.org>  Wed, 13 Dec 2017 11:24:03 +0100

rapmap (0.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.
  * Added references to registries.
  * Bumped policy to 4.1.1.1 (no changes required).

  * Removing files created during build in debian/rules clean target

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Oct 2017 21:19:17 +0200
