=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                cmake,
                zlib1g-dev,
                libdivsufsort-dev,
@@ -15,7 +15,7 @@
                libtclap-dev,
                pkg-config,
                python-markdown
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rapmap.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/rapmap.git
 Homepage: https://github.com/COMBINE-lab/RapMap
@@ -48,3 +48,21 @@
  mapping and pseudo-alignment (originally introduced in Bray et al.
  2016), these two are not the same thing. They are distinct concepts, and
  RapMap simply happens to implement algorithms for computing both.
+
+Package: rapmap-example-data
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: rapmap
+Description: example data for rapmap - rapid sensitive and accurate DNA read mapping
+ RapMap is a testing ground for ideas in quasi-mapping / (lightweight /
+ pseudo) transcriptome alignment. That means that, at this point, it is
+ somewhat experimental. The develop branch will have the latest
+ improvements and additions, but is not guaranteed to be stable between
+ commits. Breaking changes to the master branch will be accompanied by a
+ tag to the version before the breaking change. Currently, RapMap is a
+ stand-alone quasi-mapper that can be used with other tools. It is also
+ being used as part of Sailfish and Salmon. Eventually, the hope is to
+ create and stabilize an API so that it can be used as a library from
+ other tools.
+ .
+ This package contains example data to test this program.
