=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 override_dh_auto_build:
 	dh_auto_build
 	markdown_py -f README.html README.md
+
+override_dh_clean:
+	dh_clean README.html sample_data/sample_quasi_index/ sample_data/sample_quasi_index_ph/ sample_data/sample_quasi_map.sam sample_data/sample_quasi_map_ph.sam
+
+
