=== debian/changelog ===
rapmap (0.12.0+dfsg-3) unstable; urgency=medium

  * debian/patches/portable_pause: add ppc64el and arm64 alternatives to
    asm("pause").
  * debian/patches/no_gomp_needed: Avoid unnecessary linkage to gomp.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 02 Jan 2019 03:07:04 -0800

rapmap (0.12.0+dfsg-2) unstable; urgency=medium

  * Add further header files to rapmap-dev since these are used in salmon

 -- Andreas Tille <tille@debian.org>  Thu, 13 Dec 2018 15:37:29 +0100

rapmap (0.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/rules
  * For some reason rapmap releases are prefixed by "salmon-" - adapt
    watch file
  * Do not exclude spdlog any more as long as it is not ported to
    version spdlog 1.2.x
    Closes: #909766
  * Add rapmap-dev package to simplify building salmon and avoid code
    duplication in salmon package source
  * Lintian override for script-with-language-extension
  * Avoid privacy breach

 -- Andreas Tille <tille@debian.org>  Wed, 12 Dec 2018 23:05:04 +0100
