=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: rapmap
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11),
@@ -15,9 +16,9 @@
                libtclap-dev,
                pkg-config,
                python-markdown
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rapmap.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/rapmap.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/rapmap
+Vcs-Git: https://salsa.debian.org/med-team/rapmap.git
 Homepage: https://github.com/COMBINE-lab/RapMap
 
 Package: rapmap
@@ -66,3 +67,23 @@
  other tools.
  .
  This package contains example data to test this program.
+
+Package: rapmap-dev
+Architecture: all
+Depends: ${misc:Depends}
+Description: rapmap - rapid sensitive and accurate DNA read mapping (some headers)
+ RapMap is a testing ground for ideas in quasi-mapping / (lightweight /
+ pseudo) transcriptome alignment. That means that, at this point, it is
+ somewhat experimental. The develop branch will have the latest
+ improvements and additions, but is not guaranteed to be stable between
+ commits. Breaking changes to the master branch will be accompanied by a
+ tag to the version before the breaking change. Currently, RapMap is a
+ stand-alone quasi-mapper that can be used with other tools. It is also
+ being used as part of Sailfish and Salmon. Eventually, the hope is to
+ create and stabilize an API so that it can be used as a library from
+ other tools.
+ .
+ This package contains some headers and C++ source files which are
+ included by package salmon and are provided here in an accessible
+ way to avoid code duplication.  Usually there is no reason to install
+ this package except to build the salmon package.
