## rapmap 0.14.1+dfsg

=== debian/changelog ===
rapmap (0.14.1+dfsg-2) unstable; urgency=medium

  * only amd64 due to compiling variants for Intel SSE extensions

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Sep 2019 16:08:06 +0200

rapmap (0.14.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 23 Jul 2019 12:52:36 +0200
