=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
                libspdlog-dev,
                libtclap-dev,
                pkg-config,
-               python-markdown
+               python3-markdown
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/rapmap
 Vcs-Git: https://salsa.debian.org/med-team/rapmap.git
 Homepage: https://github.com/COMBINE-lab/RapMap
 
 Package: rapmap
-Architecture: any
+Architecture: amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: rapid sensitive and accurate DNA read mapping via quasi-mapping
