## rapmap 0.15.0%2Bdfsg

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, rapmap-example-data
Restrictions: allow-stderr
