=== debian/changelog ===
rapmap (0.15.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.
  * -dev, -examples are Multi-Arch: foreign

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 14 Nov 2019 14:45:15 +0100
