=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                zlib1g-dev,
                libdivsufsort-dev,
@@ -15,8 +15,9 @@
                libspdlog-dev,
                libtclap-dev,
                pkg-config,
-               python3-markdown
-Standards-Version: 4.3.0
+               python3-markdown,
+               python3
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/rapmap
 Vcs-Git: https://salsa.debian.org/med-team/rapmap.git
 Homepage: https://github.com/COMBINE-lab/RapMap
@@ -52,6 +53,7 @@
 
 Package: rapmap-example-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: rapmap
 Description: example data for rapmap - rapid sensitive and accurate DNA read mapping
@@ -70,6 +72,7 @@
 
 Package: rapmap-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: rapmap - rapid sensitive and accurate DNA read mapping (some headers)
  RapMap is a testing ground for ideas in quasi-mapping / (lightweight /
