=== debian/rules ===
--- 
+++ 
@@ -24,5 +24,3 @@
 
 override_dh_clean:
 	dh_clean README.html sample_data/sample_quasi_index/ sample_data/sample_quasi_index_ph/ sample_data/sample_quasi_map.sam sample_data/sample_quasi_map_ph.sam
-
-
